sys = require 'sys'
storage = require './storage'
ua = require 'useragent'

exports.requestTracker = (req, res, next) ->
  host = req.header('host')
  ua_data = ua.parser req.header('user-agent')
  startTime = new Date().valueOf()
  if not local(host)
    console.log "I am invoked #{req.url}"
    storage.start host, req.url, req.header('x-forwarded-for') or req.connection.remoteAddress,
      referrer: req.header( 'Referer') || ""
      user_agent: req.header('user-agent') 
      browser: ua_data.pretty()
      os: ua_data.prettyOs()
      type: req.method
      , (replies) -> sys.inspect replies
  
  next()
  if not local(host)
    totalTime = new Date().valueOf() - startTime
    console.log "Response Headers #{res.statusCode}"
    storage.finish req.header('host'), req.url, totalTime, res.code
    console.log "Invocation done.... in #{totalTime}"
  
local = (host) ->
  # /localhost/.test(host)
  false 