db = require('redis').createClient(9243, 'carp.redistogo.com')
db.auth '1b4de665d835a88e0707e1a2b95e14ea'

sys = require('sys')

db.on 'error' , (err) -> console.log "Bad stuff happened with redis #{sys.inspect(err)}"

exports.start = (host, url, remote, data, callback ) ->
  db.multi()
    .sadd( 'hosts', host)
    .zincrby("urls:#{host}", 1, url)
    .lpush("request_times:#{host}", new Date().valueOf())
    .incr("counts:#{host}#{url}:#{data.type}")
    .incr("counts:#{host}:#{data.type}")
    .lpush("remote_address:#{host}", remote)
    .zincrby("browsers:#{host}", 1, data.browser)
    .zincrby("oss:#{host}", 1, data.os)
    .lpush("data:#{host}#{url}", JSON.stringify(data))
    .exec (err, replies) -> callback.call null, replies

exports.finish = (host, url, response_time, code) ->
  db.multi()
    .zadd("response_times:#{host}", response_time, url)
    .incr("codes:#{host}:#{url}:#{code}")
    .exec (err, replies) -> console.log replies
    