(function() {
  var db, sys;
  db = require('redis').createClient(9243, 'carp.redistogo.com');
  db.auth('1b4de665d835a88e0707e1a2b95e14ea');
  sys = require('sys');
  db.on('error', function(err) {
    return console.log("Bad stuff happened with redis " + (sys.inspect(err)));
  });
  exports.start = function(host, url, remote, data, callback) {
    return db.multi().sadd('hosts', host).zincrby("urls:" + host, 1, url).lpush("request_times:" + host, new Date().valueOf()).incr("counts:" + host + url + ":" + data.type).incr("counts:" + host + ":" + data.type).lpush("remote_address:" + host, remote).zincrby("browsers:" + host, 1, data.browser).zincrby("oss:" + host, 1, data.os).lpush("data:" + host + url, JSON.stringify(data)).exec(function(err, replies) {
      return callback.call(null, replies);
    });
  };
  exports.finish = function(host, url, response_time, code) {
    return db.multi().zadd("response_times:" + host, response_time, url).incr("codes:" + host + ":" + url + ":" + code).exec(function(err, replies) {
      return console.log(replies);
    });
  };
}).call(this);
